%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name uuid6
%global pypi_version 2024.1.12

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        New time-based UUID formats which are suited for use as a database key

License:        None
URL:            https://github.com/oittaa/uuid6-python
Source0:        %{pypi_source}
Patch0:         1000-fix-setup-version.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pip
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-wheel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%description
New time-based UUID formats which are suited for use as a database key.[![CI](
[![codecov]( [![PyPI status]( [![Python versions supported]( [![Code style:
black](

%package -n     python3.11-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3.11-%{pypi_name}}

%description -n python3.11-%{pypi_name}
New time-based UUID formats which are suited for use as a database key.[![CI](
[![codecov]( [![PyPI status]( [![Python versions supported]( [![Code style:
black](


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Force setuptools_scm usage for older setuptools
sed -i 's/setuptools.setup.*/setuptools.setup(use_scm_version=True)/' setup.py
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}

# %check
# %{__python3} setup.py test

%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%pycached %{python3_sitelib}/%{pypi_name}/*.py
%{python3_sitelib}/%{pypi_name}/*.typed
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Jul 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 2024.1.12-1
- Initial package.
